Skip to main content
Platform O&M/Backup Management/CBT Operations
GETCBT OperationsSince 5.3.28SynchronousAuth Required

QueryCbtTask

QueryCbtTask

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The resource description.

    • createDateTimestampRequired

      The creation time.

    • lastOpDateTimestampRequired

      The last operation time.

    • statusCbtTaskStatusRequired

      See status

      • CreatedCbtTaskStatusRequired

        The task is created.

      • StartingCbtTaskStatusRequired

        The task is starting.

      • RunningCbtTaskStatusRequired

        The task is running.

      • StoppedCbtTaskStatusRequired

        The task is stopped.

      • FailedCbtTaskStatusRequired

        The task failed.

Endpoint

GET/zstack/v1/cbt-task

/zstack/v1/cbt-task

Operation ID

QueryCbtTask

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/cbt-task' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "103f6f8dc6dc3f8b82c1e1923dc751e0", "name": "My Task", "status": "Running" } ] }

Change History

This API has no change history records yet.

View all change history